Bug 70271

Summary: Rename static getOwnPropertySlot to getOwnPropertySlotByIndex
Product: WebKit Reporter: Mark Hahnenberg <mhahnenberg>
Component: JavaScriptCoreAssignee: Mark Hahnenberg <mhahnenberg>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, gustavo.noronha, gustavo, japhet, webkit.review.bot, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 67690    
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch none

Description Mark Hahnenberg 2011-10-17 14:44:45 PDT
There are two versions of getOwnPropertySlot, one that uses an Identifier and the other that uses an unsigned.  We need to rename the version that takes an unsigned to getOwnPropertySlotByIndex.  This is in preparation for adding both versions to the MethodTable.
Comment 1 Mark Hahnenberg 2011-10-17 14:48:31 PDT
Created attachment 111323 [details]
Patch
Comment 2 WebKit Review Bot 2011-10-17 14:51:10 PDT
Attachment 111323 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/update-webkit', '--chromium']" exit_code: 2

Updating OpenSource
From git://git.webkit.org/WebKit
   915de3d..665fcc3  master     -> origin/master
	M	LayoutTests/platform/chromium/test_expectations.txt
	M	LayoutTests/fast/js/script-tests/stack-overflow-arrity-catch.js
	M	LayoutTests/fast/js/stack-overflow-arrity-catch-expected.txt
	M	LayoutTests/ChangeLog
r97651 = 15345d92fb4fb4090a6a775d1a17ae7daaee53cf (refs/remotes/trunk)
	M	LayoutTests/platform/chromium/test_expectations.txt
	M	LayoutTests/ChangeLog
r97652 = 3a79ff0362f4f892e144879ce09d6cf8f7a297bc (refs/remotes/trunk)
	A	LayoutTests/fast/writing-mode/borders-expected.html
	A	LayoutTests/fast/writing-mode/borders.html
	M	LayoutTests/ChangeLog
	M	Source/WebCore/ChangeLog
	M	Source/WebCore/rendering/RenderBlock.cpp
r97653 = 420f57e9e65cd5bb486ff61a4c7a279472c87fe7 (refs/remotes/trunk)
	M	LayoutTests/platform/mac/fast/table/028-vertical-expected.png
	M	LayoutTests/platform/mac/fast/table/028-vertical-expected.txt
	M	LayoutTests/platform/mac/fast/table/height-percent-test-vertical-expected.png
	M	LayoutTests/platform/mac/fast/table/height-percent-test-vertical-expected.txt
	M	LayoutTests/platform/mac/fast/backgrounds/background-leakage-transforms-expected.txt
	M	LayoutTests/platform/mac/fast/writing-mode/fallback-orientation-expected.txt
	M	LayoutTests/ChangeLog
	M	Source/WebCore/ChangeLog
	M	Source/WebCore/rendering/RenderBox.cpp
r97654 = 26a2c52d7c980b98a33482c134d8ed39c5ba6fac (refs/remotes/trunk)
	M	LayoutTests/fast/js/script-tests/delete-syntax.js
	M	LayoutTests/fast/js/delete-syntax-expected.txt
	M	LayoutTests/ChangeLog
	M	Source/JavaScriptCore/runtime/JSObject.cpp
	M	Source/JavaScriptCore/ChangeLog
r97655 = 665fcc38aafbb9a5fbfbc608264a717a2109e4ff (refs/remotes/trunk)
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/trunk.
Updating chromium port dependencies using gclient...
Error: Can't switch the checkout to http://v8.googlecode.com/svn/branches/3.6@9637; UUID don't match and there is local changes in /mnt/git/webkit-style-queue/Source/WebKit/chromium/v8. Delete the directory and try again.
Re-trying 'depot_tools/gclient sync'
Error: Can't switch the checkout to http://v8.googlecode.com/svn/branches/3.6@9637; UUID don't match and there is local changes in /mnt/git/webkit-style-queue/Source/WebKit/chromium/v8. Delete the directory and try again.
Re-trying 'depot_tools/gclient sync'
Error: Can't switch the checkout to http://v8.googlecode.com/svn/branches/3.6@9637; UUID don't match and there is local changes in /mnt/git/webkit-style-queue/Source/WebKit/chromium/v8. Delete the directory and try again.
Error: 'depot_tools/gclient sync' failed 3 tries and returned 256 at Tools/Scripts/update-webkit-chromium line 107.
Re-trying 'depot_tools/gclient sync'
No such file or directory at Tools/Scripts/update-webkit line 104.


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Mark Hahnenberg 2011-10-18 11:27:29 PDT
Created attachment 111474 [details]
Patch
Comment 4 Collabora GTK+ EWS bot 2011-10-18 19:09:58 PDT
Comment on attachment 111474 [details]
Patch

Attachment 111474 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/10144192
Comment 5 Gustavo Noronha (kov) 2011-10-18 21:10:42 PDT
Comment on attachment 111474 [details]
Patch

Attachment 111474 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/10144212
Comment 6 Mark Hahnenberg 2011-10-20 13:45:57 PDT
Created attachment 111840 [details]
Patch
Comment 7 Mark Hahnenberg 2011-10-23 10:55:12 PDT
Created attachment 112120 [details]
Patch
Comment 8 WebKit Review Bot 2011-10-24 11:36:49 PDT
Comment on attachment 112120 [details]
Patch

Clearing flags on attachment: 112120

Committed r98261: <http://trac.webkit.org/changeset/98261>
Comment 9 WebKit Review Bot 2011-10-24 11:36:54 PDT
All reviewed patches have been landed.  Closing bug.